Package ru.bitel.bgbilling.plugins.documents.server.bean.pattern

# Class DocxDocumentProcessor

java.lang.Object
ru.bitel.bgbilling.plugins.documents.server.bean.pattern.AbstractDocumentProcessor
ru.bitel.bgbilling.plugins.documents.server.bean.pattern.DocxDocumentProcessor

All Implemented Interfaces:
  `DocumentProcessor`

    public class DocxDocumentProcessor
    extends AbstractDocumentProcessor
    implements DocumentProcessor

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.plugins.documents.server.bean.pattern.AbstractDocumentProcessor

  `con, document, pattern, tableData`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DocxDocumentProcessor​(java.sql.Connection con, Document document, DocumentPattern pattern, java.util.Map<java.lang.String,​java.lang.Object> varData, java.util.Map<java.lang.String,​java.util.List<java.util.Map<java.lang.String,​java.lang.String>>> tableData)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.io.File` | `process​(java.io.FileInputStream patternFile)` | Непосредственно обработка файла с шаблоном документа.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocxDocumentProcessor

    public DocxDocumentProcessor​(java.sql.Connection con, Document document, DocumentPattern pattern, java.util.Map<java.lang.String,​java.lang.Object> varData, java.util.Map<java.lang.String,​java.util.List<java.util.Map<java.lang.String,​java.lang.String>>> tableData)

- ## Method Details

  - ### process

    public java.io.File process​(java.io.FileInputStream patternFile) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `DocumentProcessor`
    Непосредственно обработка файла с шаблоном документа. Здесь осуществляется подстановка данных вместо переменных, генерация таблиц.
    Specified by:
      `process` in interface `DocumentProcessor`
    Parameters:
      `patternFile` - файл шаблона.
    Returns:
      готовый сформированый файл документа.
    Throws:
      `ru.bitel.bgbilling.common.BGException`